ช่องโหว่ลินุกซ์ตั้งแต่รุ่น 3.8 ขึ้นไปเปิดช่องให้เข้าถึง root ได้

cve_2016_0728

ทีมวิจัยจากบริษัท Perception Point รายงานถึงช่องโหว่ CVE-2016-0728 ในลินุกซ์เคอร์เนลรุ่น 3.8 ขึ้นไปที่ออกมาตั้งแต่ปี 2012 กระทบเซิร์ฟเวอร์และแอนดรอยด์จำนวนมาก เฉพาะแอนดรอยด์อย่างเดียวมีเครื่องที่ได้รับผลกระทบถึง 66% ของโทรศัพท์แอนดรอยด์ทั้งหมด

ช่องโหว่นี้อยู่ในระบบ keyring ที่อยู่ในเคอร์เนล มีโค้ดที่ใช้คำสั่ง goto ข้ามฟังก์ชั่น key_put ไป การโจมตีจากช่องโหว่นี้ทำให้แฮกเกอร์สามารถรันโค้ดใน root ได้ในที่สุด

กระบวนการป้องกันเพิ่มเติมในลินุกซ์ เช่น SMEP/SMAP และ SELinux ช่วยป้องกันช่องโหว่ทำให้การเจาะระบบยากขึ้น

ทางทีมงานทำงานร่วมกับทีมความปลอดภัยของ Red Hat และแพตช์ออกมาแล้ว

nattanon

ณัฐนนท์ ลำสมุทร

Leave a Reply

Your email address will not be published. Required fields are marked *